Package org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl

# Class FeatureMapKeyChangeAccessorImpl

java.lang.Object
org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.impl.AbstractTypedElementAdapter
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl.AbstractStructuralFeatureAccessor
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl.FeatureMapKeyChangeAccessorImpl

All Implemented Interfaces:
  `ICompareAccessor`, `IStructuralFeatureAccessor`, `ITypedElement`

public class FeatureMapKeyChangeAccessorImpl extends AbstractStructuralFeatureAccessor
A specific `AbstractStructuralFeatureAccessor` for FeatureMapChanges of kind DifferenceKind.CHANGE (represent a value that changed his key).

Since:
  4.0

## Field Summary

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`FeatureMapKeyChangeAccessorImpl(AdapterFactory adapterFactory, FeatureMapChange diff, IMergeViewer.MergeViewerSide side)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`FeatureMapChange`
`getFeatureMapChange()`
Returns the `FeatureMapChange` diff associated with this accessor.
`com.google.common.collect.ImmutableList<? extends IMergeViewerItem>`
`getItems()`
Returns the list of items known by this accessor.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl.AbstractStructuralFeatureAccessor

`computeDifferences, getAffectedFeature, getComparison, getDifferences, getEObject, getImage, getInitialDiff, getInitialItem, getName, getSide, getStructuralFeature, getType`

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.impl.AbstractTypedElementAdapter

`getAdapterFactory, getItemDelegator, getRootAdapterFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FeatureMapKeyChangeAccessorImpl

public FeatureMapKeyChangeAccessorImpl(AdapterFactory adapterFactory, FeatureMapChange diff, IMergeViewer.MergeViewerSide side)
Default constructor.

Parameters:
  `adapterFactory` - the adapater factory used to create the accessor.
  `diff` - the diff associated with this accessor.
  `side` - the side of the accessor.

## Method Details

### getItems

public com.google.common.collect.ImmutableList<? extends IMergeViewerItem> getItems()
Returns the list of items known by this accessor.

Returns:
  the list of items known by this accessor.
See Also:
  - `ICompareAccessor.getItems()`

### getFeatureMapChange

public FeatureMapChange getFeatureMapChange()
Returns the `FeatureMapChange` diff associated with this accessor.

Returns:
  the `FeatureMapChange` diff associated with this accessor.